<script>
import { useForm } from '@inertiajs/inertia-vue3'

export default {
    props: ['taskid'],

    setup (props) {
        const form = useForm({
            details: '',
            file: null,
        });

        function submit2() {
            form.post('/task-create-details/' + props.taskid)
            // document.body.classList.remove("modal-open")
            // document.body.removeChild(document.body.lastChild)
            // document.querySelector("div.modal.fade").classList.remove("show")
            // document.querySelector(".show").classList.remove("show")

            // this for hide the model when submit
            const truck_modal = document.querySelector('#staticBackdrop');
            const modal = bootstrap.Modal.getInstance(truck_modal);
            modal.hide();
        }

            return { form, submit2 }
        },
    }
</script>

<template>

<button type="button" class="font-semibold text-sm p-3 bg-slate-900 btn btn-dark" data-bs-toggle="modal" data-bs-target="#staticBackdrop">
    إضافة تفاصيل
</button>

<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
        <div class="modal-content">
        <div class="modal-header">
            <h1 class="modal-title fs-5" id="staticBackdropLabel">إضافة تفاصيل</h1>
            <!-- <button type="button" class="btn-close text-slate-900 bg-gray-900" data-bs-dismiss="modal" aria-label="Close"></button> -->
        </div>
        <div class="modal-body">
            <form @submit.prevent="submit2" id="aaaa">
                <div class="my-3">
                    <label for="exampleFormControlTextarea1" class="form-label">تفاصيل</label>
                    <textarea v-model="form.details" name="details" class="form-control" id="exampleFormControlTextarea1" rows="3" required></textarea>
                </div>
                <div class="my-3">
                    <label for="formFile" class="form-label text-center d-block bg-slate-900 rounded p-2 text-white">تحميل ملف</label>
                    <label for="nothing" class="form-label text-center d-block bg-slate-0 rounded p-2">{{ (form.file == null ) ? "لم تختر أي ملف" : "تم اختيار الملف" }}</label>
                    <input
                    style="display: none"
                    class="form-control"
                    type="file"
                    id="formFile"
                    name="file"
                    @input="form.file = $event.target.files[0]"
                    >
                </div>
            </form>
        </div>
        <div class="modal-footer">
            <button type="button" class="font-semibold text-sm p-3 bg-red-600 btn btn-danger" data-bs-dismiss="modal">تراجع</button>
            <button type="submit" form="aaaa" value="Submit" class="font-semibold text-sm px-8 py-3 bg-slate-900 btn btn-dark">إضافة</button>
        </div>
        </div>
    </div>
</div>
</template>
